%define aurox_ver 10.2
%define rel 1


Summary: K-3D open-source 3D modeling, animation, and rendering system.
Name: k3d
Version: 0.4.4.2
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia
Source: http://belnet.dl.sourceforge.net/sourceforge/k3d/k3d-%{version}-src.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
#AutoReqProv: no
#requires: XFree86-libs >= 4.2.0, gtk+ >= 1.2.10, glib >= 1.2.10, glibc >= 2.2.5, libstdc++ >= 2.96, libGLU.so.1, libGL.so.1, libsigc++ >= 1.2
Requires: ImageMagick
BuildRequires: XFree86-devel >= 4.2.0, gtk+-devel >= 1.2.10, glib-devel >= 1.2.10, glibc-devel >= 2.2.5, libstdc++-devel >= 2.96, libsigc++10-devel >= 1.0.2, plib
BuildRequires: ImageMagick-c++-devel

%description
K-3D is a 3D modeling, animation, and rendering system for GNU/Linux &
Win32. Features include creation and editing of geometry in multiple
realtime OpenGL solid, shaded, and texture-mapped views; unlimited
undos and redos; complete extensibility at runtime through third-party
plugins; animated procedural geometric effects; all parameters
animatable through a consistent control-spline based interface;
rendering pipeline to Renderman Interface compliant rendering engines;
optimization for use with the BMRT rendering engine, which features
raytracing, radiosity rendering, true displacement, and user
programmable shaders; and support for background and batch rendering.

%prep
%setup -q

%build
./configure --prefix=$RPM_BUILD_ROOT/usr/k3d --enable-kde-menu=/usr/share/applications
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/usr/bin
echo '#!/bin/sh' > $RPM_BUILD_ROOT/usr/bin/k3d
echo 'export LD_LIBRARY_PATH=/usr/k3d/lib:$LD_LIBRARY_PATH' >> $RPM_BUILD_ROOT/usr/bin/k3d
echo 'export PATH=/usr/k3d/bin:$PATH' >> $RPM_BUILD_ROOT/usr/bin/k3d
echo '/usr/k3d/bin/k3d $*' >> $RPM_BUILD_ROOT/usr/bin/k3d
chmod 755 $RPM_BUILD_ROOT/usr/bin/k3d
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
cp $RPM_BUILD_ROOT/usr/k3d/man/man1/k3d.1 $RPM_BUILD_ROOT/usr/man/man1/k3d.1

# fix wrapper
sed -e "s#prefix=$RPM_BUILD_ROOT#prefix=#" $RPM_BUILD_ROOT/usr/k3d/bin/k3d > $RPM_BUILD_ROOT/usr/k3d/bin/k3d.tmp
mv -f $RPM_BUILD_ROOT/usr/k3d/bin/k3d.tmp $RPM_BUILD_ROOT/usr/k3d/bin/k3d
chmod a+x $RPM_BUILD_ROOT/usr/k3d/bin/k3d

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/ 
mv -f $RPM_BUILD_ROOT/usr/k3d/share/k3d/desktop/*.desktop $RPM_BUILD_ROOT/usr/share/applications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS

/usr/man/man1/k3d.1.gz
%dir /usr/k3d
/usr/k3d/*
/usr/bin/k3d
/usr/share/applications/*.desktop

%changelog
* Fri Feb 11 2005 Aurox Team <aurox@aurox.org> 0:0.4.4.2-10.2.aur.1
- Upgrade to 0.4.4.2.

* Wed Jun 09 2004 Aurox Team <aurox@aurox.org> 0:0.4.0.0-10.0.aur.3
- make k3d executable
- build with libsigc++10
- move desktop file to reasonable directory
- fix wrappers for running k3d in non-standrad dirs
- use _smp_mflags
- initial import

* Fri Mar 28 2003 Fred Labrosse <ffl@aber.ac.uk>
- RPM package of k3d-0.2.5.4
